List documentation page checkpoints
Returns safe checkpoint metadata in newest-first cursor pages. Historical bodies and internal snapshots are never included. Organization members cannot call this endpoint.
GET
/projects/documentation/{pageId}/checkpointsAuthorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:reador
AuthorizationBearer token (JWT) · headerrequiredPath parameters
pageIdstring<uuid>requiredDocumentation page UUID.
Query parameters
cursorstring<uuid>Checkpoint UUID returned as nextCursor by the prior page.
Responses
200
itemsProjectDocumentationCheckpointSummaryDto[]requiredShow propertiesHide properties
Array of
ProjectDocumentationCheckpointSummaryDtoactorNamestring | nullactorUserIdstring<uuid>requiredchangedFieldsstring[]requiredcreatedAtstring<date-time>requiredgenerationnumberrequiredmin 1
idstring<uuid>requiredreasonstringrequiredAllowed:
baselineintervalidlemaximumpre-restorenextCursorstring<uuid> | null400The page UUID or cursor is invalid, or the cursor belongs to another resource.
errorstring | objectHTTP error name or a structured HTTP exception response.
Show propertiesHide properties
One of:
string
stringobject
objectmessagestring | string[] | objectrequiredError message, validation message list, or request-field validation message map.
Show propertiesHide properties
One of:
string
stringstring[]
Array of
stringstringobject
objectstatusCodenumberrequiredHTTP status code for this response.
401Unauthorized - Invalid or missing authentication token
403Organization members cannot access documentation history.
errorstring | objectHTTP error name or a structured HTTP exception response.
Show propertiesHide properties
One of:
string
stringobject
objectmessagestring | string[] | objectrequiredError message, validation message list, or request-field validation message map.
Show propertiesHide properties
One of:
string
stringstring[]
Array of
stringstringobject
objectstatusCodenumberrequiredHTTP status code for this response.
404The page does not exist or is not accessible.
errorstring | objectHTTP error name or a structured HTTP exception response.
Show propertiesHide properties
One of:
string
stringobject
objectmessagestring | string[] | objectrequiredError message, validation message list, or request-field validation message map.
Show propertiesHide properties
One of:
string
stringstring[]
Array of
stringstringobject
objectstatusCodenumberrequiredHTTP status code for this response.
Request
curl -X GET "https://leadtime.app/api/public/projects/documentation/497f6eca-6276-4993-bfeb-53cbbbba6f08/checkpoints" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"const response = await fetch("https://leadtime.app/api/public/projects/documentation/497f6eca-6276-4993-bfeb-53cbbbba6f08/checkpoints", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});import requests
response = requests.get(
"https://leadtime.app/api/public/projects/documentation/497f6eca-6276-4993-bfeb-53cbbbba6f08/checkpoints",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
},
)Response
{
"items": [
{
"actorName": "string",
"actorUserId": "94141e08-adc7-44ce-bed3-45f031b9f36f",
"changedFields": [
"title",
"content"
],
"createdAt": "2019-08-24T14:15:22Z",
"generation": 1,
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"reason": "idle"
}
],
"nextCursor": "53a4a333-2825-45a4-80d2-5f430d088f36"
}{
"error": "string",
"message": "string",
"statusCode": 0
}Unauthorized - Invalid or missing authentication token
{
"error": "string",
"message": "string",
"statusCode": 0
}{
"error": "string",
"message": "string",
"statusCode": 0
}